Skip to main content
GET
Net Flow Expiry

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

date
string

Market date to get data for (defaults to last market day) A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

moneyness
enum<string>[]

Moneyness filter (defaults to 'all') Moneyness filter to apply (can specify multiple)

Filter results by moneyness (all, itm, otm, atm)

Available options:
all,
itm,
otm,
atm
tide_type
enum<string>[]

Tide type filter (defaults to 'all') Tide type filter to apply (can specify multiple)

Filter results by tide type (all, equity_only, etf_only, index_only)

Available options:
all,
equity_only,
etf_only,
index_only
expiration
enum<string>[]

Expiration filter (defaults to ['weekly', 'zero_dte']) Expiration type filter to apply (can specify multiple)

Filter results by expiration type (weekly, zero_dte)

Available options:
weekly,
zero_dte

Response

Net Flow Expiry Response

Response containing net flow data groups filtered by expiry, moneyness, and tide type

data
Expiry Tide Group · object[]
required

Array of net flow data groups

date
string<date>
required

Date of the data

Example:

"2023-01-15T00:00:00.000Z"

expiration
string[]
required

Expiration filters applied

Example:
moneyness
string[]
required

Moneyness filters applied

Example:
tide_type
string[]
required

Tide type filters applied

Example:
Last modified on September 29, 2026